GET /neuron
neuromorpho.org:neuromorpho.org-api
Summary: List neurons
Operation ID: listNeurons
Auth: unknown
Operation ID: listNeurons
Auth: unknown
Description
Retrieve paginated list of neuron reconstructions with metadata
Parameters (3)
page
(integer, query, optional, default: 0)
Page number (0-indexed)
size
(integer, query, optional, default: 50)
Number of items per page (max 500)
Constraints: {'maximum': 500}
sort
(string, query, optional)
Sort field and direction (e.g., 'neuron_id,asc')
Examples (5)
| Title | Type | URL | Action |
|---|---|---|---|
| List neurons with default pagination | curl |
https://neuromorpho.org/api/neuron |
|
| List first page with 10 results | curl |
https://neuromorpho.org/api/neuron?page=0&size=10 |
|
| List second page with 50 results | curl |
https://neuromorpho.org/api/neuron?page=1&size=50 |
|
| List neurons | openapi-spec |
https://neuromorpho.org/api/neuron?sort=neuron_id,asc |
|
| List neurons | probe-gate |
https://neuromorpho.org/api/neuron?page=0&size=50&sort=neuron_id%2Casc |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 10:43:34.139194 | 200 | 454ms | |
| 2026-03-23 10:34:39.579604 | 200 | 453ms | |
| 2026-03-23 10:16:56.369615 | 200 | 5778ms | |
| 2026-03-23 10:13:05.048759 | 200 | 457ms | |
| 2026-03-23 09:45:26.673863 | 200 | 459ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 10:34:39.579604 | 1acaeffb7a04 |
6d8096a88522 |
| 2026-03-23 10:43:34.139194 | 6d8096a88522 |
8baf0148a9f3 |